/*
 * Enemy.h
 *
 *  Created on: 13 jan 2012
 *      Author: Reii
 */

#ifndef ENEMY_H_
#define ENEMY_H_

#include "Sprite.h"

class Enemy: public Sprite{

public:
	static Enemy* getInstance(std::string filename, bool transparent, bool multi, int x, int y);
	static Enemy* getInstance(Image* img, bool multi, int x, int y);
	void detectBorderCollision();
	void tick(std::vector<Sprite*>& gameobjects);
	void draw();
	~Enemy();
protected:
	Enemy(std::string filename, bool transparent, bool multi, int x, int y);
	Enemy(Image* img, bool multi, int x, int y);
private:
	Enemy(const Enemy& e);
	const Enemy& operator=(const Enemy&);
};

#endif /* ENEMY_H_ */
